org.apache.lucene.codecs.lucene86

## Class Lucene86PointsReader

- java.lang.Object
- - org.apache.lucene.codecs.PointsReader
  - - org.apache.lucene.codecs.lucene86.Lucene86PointsReader

All Implemented Interfaces:
  Closeable, AutoCloseable, Accountable

    public class Lucene86PointsReader
    extends PointsReader
    implements Closeable

Reads point values previously written with `Lucene86PointsWriter`

### Constructor Summary

Constructors
Constructor and Description
`Lucene86PointsReader(SegmentReadState readState)` Sole constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkIntegrity()` Checks consistency of this reader.
`void` `close()`
`PointValues` `getValues(String fieldName)` Returns the underlying `BKDReader`.
`long` `ramBytesUsed()` Return the memory usage of this object in bytes.

### Methods inherited from class org.apache.lucene.codecs.PointsReader

`getMergeInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.util.Accountable

`getChildResources`

### Constructor Detail

#### Lucene86PointsReader

    public Lucene86PointsReader(SegmentReadState readState)
                         throws IOException

Sole constructor

Throws:
  `IOException`

### Method Detail

#### getValues

    public PointValues getValues(String fieldName)

Returns the underlying `BKDReader`.

Specified by:
  `getValues` in class `PointsReader`
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

#### ramBytesUsed

    public long ramBytesUsed()

Description copied from interface: `Accountable`
Return the memory usage of this object in bytes. Negative values are illegal.

Specified by:
  `ramBytesUsed` in interface `Accountable`

#### checkIntegrity

    public void checkIntegrity()
                        throws IOException

Description copied from class: `PointsReader`
Checks consistency of this reader.

Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

Specified by:
  `checkIntegrity` in class `PointsReader`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`